返回可以迁移到指定组织的所有项目。
唯一的 24-十六进制数字 string,用于标识包含项目的组织。使用 /orgs 终结点检索经过身份验证的用户访问权限检索的所有组织。
格式应符合以下模式:^([a-f0-9]{24})$。
指示应用程序是否将响应包装在envelope JSON 对象中的标志。某些 API 客户端无法访问 HTTP 响应标头或状态代码。要修复此问题,请在查询中设置 Envelope=true。返回结果列表的端点将结果对象用作 envelope。应用程序将状态参数添加到响应正文中。
默认值为false 。
指示响应正文是否应采用 prettyprint 格式的标记。
默认值为false 。
curl \
--request GET 'https://cloud.mongodb.com/api/atlas/v1.0/orgs/4888442a3354817a7320eb61/liveMigrations/availableProjects' \
--header "Authorization: Bearer $ACCESS_TOKEN"
[
{
"deployments": [
{
"agentVersion": "string",
"clusterId": "32b6e34b3d91647abb20e7b8",
"dbSizeBytes": 8192,
"featureCompatibilityVersion": "string",
"managed": true,
"mongoDBVersion": "string",
"name": "Project X sharded cluster",
"oplogSizeMB": 3,
"sharded": true,
"shardsSize": 3,
"tlsEnabled": true
}
],
"migrationHosts": [
"string"
],
"name": "string",
"projectId": "32b6e34b3d91647abb20e7b8"
}
]
{
"detail": "(This is just an example, the exception may not be related to this endpoint) No provider AWS exists.",
"error": 400,
"errorCode": "VALIDATION_ERROR",
"reason": "Bad Request"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 401,
"errorCode": "NOT_ORG_GROUP_CREATOR",
"reason": "Unauthorized"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 403,
"errorCode": "CANNOT_CHANGE_GROUP_NAME",
"reason": "Forbidden"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"error": 404,
"errorCode": "RESOURCE_NOT_FOUND",
"reason": "Not Found"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 500,
"errorCode": "UNEXPECTED_ERROR",
"reason": "Internal Server Error"
}